GDBserver

Typedefs | Functions
cleanups.h File Reference

Go to the source code of this file.

## Typedefs
typedef void() | make_cleanup_ftype(void *)
typedef void() | make_cleanup_dtor_ftype(void *)

## Functions
struct cleanup * | make_cleanup (make_cleanup_ftype *, void *)
struct cleanup * | make_cleanup_dtor (make_cleanup_ftype *, void *, make_cleanup_dtor_ftype *)
struct cleanup * | make_final_cleanup (make_cleanup_ftype *, void *)
struct cleanup * | all_cleanups (void)
void | do_cleanups (struct cleanup *)
void | do_final_cleanups (struct cleanup *)
void | discard_cleanups (struct cleanup *)
void | discard_final_cleanups (struct cleanup *)
struct cleanup * | save_cleanups (void)
struct cleanup * | save_final_cleanups (void)
void | restore_cleanups (struct cleanup *)
void | restore_final_cleanups (struct cleanup *)
void | null_cleanup (void *)

## Typedef Documentation

## ◆ make_cleanup_dtor_ftype

typedef void() make_cleanup_dtor_ftype(void *)

Definition at line 33 of file cleanups.h.

## ◆ make_cleanup_ftype

typedef void() make_cleanup_ftype(void *)

Definition at line 30 of file cleanups.h.

## Function Documentation

## ◆ all_cleanups()

struct cleanup* all_cleanups | ( | void |  | ) |

Definition at line 165 of file cleanups.c.

References SENTINEL_CLEANUP.

Referenced by exception_rethrow(), operator new(), throw_exception_cxx(), and throw_exception_sjlj().

## ◆ discard_cleanups()

void discard_cleanups | ( | struct cleanup * |  | ) |

Definition at line 212 of file cleanups.c.

References cleanup_chain, and discard_my_cleanups().

Referenced by set_raw_breakpoint_at().

## ◆ discard_final_cleanups()

void discard_final_cleanups | ( | struct cleanup * |  | ) |

Definition at line 221 of file cleanups.c.

References discard_my_cleanups(), and final_cleanup_chain.

## ◆ do_cleanups()

void do_cleanups | ( | struct cleanup * |  | ) |

Definition at line 174 of file cleanups.c.

References cleanup_chain, and do_my_cleanups().

Referenced by exception_rethrow(), install_software_single_step_breakpoints(), linux_mntns_access_fs(), operator new(), set_raw_breakpoint_at(), throw_exception_cxx(), and throw_exception_sjlj().

## ◆ do_final_cleanups()

void do_final_cleanups | ( | struct cleanup * |  | ) |

Definition at line 183 of file cleanups.c.

References do_my_cleanups(), and final_cleanup_chain.

## ◆ make_cleanup()

struct cleanup* make_cleanup | ( | make_cleanup_ftype * | ,
|  | void * |
| ) |  |

Definition at line 116 of file cleanups.c.

References cleanup::arg, cleanup_chain, and make_my_cleanup().

Referenced by captured_main(), linux_mntns_access_fs(), make_cleanup_restore_current_thread(), and set_raw_breakpoint_at().

## ◆ make_cleanup_dtor()

struct cleanup* make_cleanup_dtor | ( | make_cleanup_ftype * | ,
|  | void * | ,
|  | make_cleanup_dtor_ftype * |
| ) |  |

Definition at line 125 of file cleanups.c.

References cleanup::arg, cleanup_chain, and make_my_cleanup2().

Referenced by make_cleanup_close().

## ◆ make_final_cleanup()

struct cleanup* make_final_cleanup | ( | make_cleanup_ftype * | ,
|  | void * |
| ) |  |

Definition at line 135 of file cleanups.c.

References cleanup::arg, final_cleanup_chain, and make_my_cleanup().

## ◆ null_cleanup()

void null_cleanup | ( | void * |  | ) |

Definition at line 294 of file cleanups.c.

Referenced by linux_mntns_access_fs(), and set_raw_breakpoint_at().

## ◆ restore_cleanups()

void restore_cleanups | ( | struct cleanup * |  | ) |

Definition at line 273 of file cleanups.c.

References cleanup_chain, and restore_my_cleanups().

Referenced by catcher_pop(), and exception_try_scope_exit().

## ◆ restore_final_cleanups()

void restore_final_cleanups | ( | struct cleanup * |  | ) |

Definition at line 281 of file cleanups.c.

References final_cleanup_chain, and restore_my_cleanups().

## ◆ save_cleanups()

struct cleanup* save_cleanups | ( | void |  | ) |

Definition at line 242 of file cleanups.c.

References cleanup_chain, and save_my_cleanups().

Referenced by exception_try_scope_entry(), and exceptions_state_mc_init().

## ◆ save_final_cleanups()

struct cleanup* save_final_cleanups | ( | void |  | ) |

Definition at line 251 of file cleanups.c.

References final_cleanup_chain, and save_my_cleanups().